<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class EksekusiRektor extends Model
{
    use HasFactory;

    protected $table = 'eksekusi_rektor';

    protected $fillable = [
        'laporan_id',
        'rektor_id',
        'sanksi_eksekusi',
        'catatan',
        'file_bukti_selesai',
    ];

    public function laporan(): BelongsTo
    {
        return $this->belongsTo(Laporan::class);
    }

    public function rektor(): BelongsTo
    {
        return $this->belongsTo(User::class, 'rektor_id');
    }
}
